Page MenuHomePhabricator

Hide the LDAP login form by default, click to show
ClosedPublic

Authored by mmodell on Oct 20 2017, 9:08 PM.

Details

Summary

This hides the LDAP login form but provides a button to toggle it. Here is what it looks like:

Fixes T963

Test Plan

Tested locally on my phabricator dev. instance. Tried login page, toggled the ldap form, etc.

Diff Detail

Repository
rPHAB Phabricator
Branch
wmf/stable
Lint
Lint OK
Unit
Unit Tests OK
Build Status
Buildable 2388
Build 3898: differential-jessieJenkins
Build 3897: arc lint + arc unit

Event Timeline

mmodell created this revision.Oct 20 2017, 9:08 PM
mmodell retitled this revision from Hide the LDAP login form by default, click to show This hides the LDAP login form but provides a button to toggle it. to Hide the LDAP login form by default, click to show.Oct 20 2017, 9:10 PM
mmodell edited the summary of this revision. (Show Details)
Paladox accepted this revision.Oct 20 2017, 9:21 PM
This revision is now accepted and ready to land.Oct 20 2017, 9:21 PM
Krinkle added inline comments.
webroot/rsrc/css/application/auth/auth.css
59

Is there a way to make this only apply when JavaScript is enabled? Otherwise the main log in form will be rendered inaccessible.

Alternate:

The outcome looks good, and if that's what it was already, I wouldn't have known better. But compared to the current state, it seems the main difference from this commit would be adding the wording of "Wikitech/Gerrit" in close proximity to the LDAP form.

Perhaps a solution could be to leave the form as-is, but improve the label of this heading?

Example:

mmodell added inline comments.Oct 21 2017, 1:12 PM
webroot/rsrc/css/application/auth/auth.css
59

Is there a way to make this only apply when JavaScript is enabled?

I will see what I can come up with...

Perhaps a solution could be to leave the form as-is, but improve the label of this heading?

One of the main purposes is to De-emphasize the LDAP form, so changing the wording would be an improvement but I don't think it would resolve T963

@Krinkle: thanks for the code review! :)

mmodell updated this revision to Diff 2200.Oct 23 2017, 8:21 PM

Update the login sprite - use Wikimedia logo, instead of MediaWiki.org

This breaks the login form for instances that doint use mediawiki or ldap.

mmodell closed this revision.Dec 4 2017, 9:32 PM